package com.yonge.cooleshow.biz.dal.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yonge.cooleshow.biz.dal.valid.AddGroup;
import com.yonge.cooleshow.biz.dal.valid.UpdateGroup;
import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author: cy
 * @date: 2022/3/31 11:39
 */
@ApiModel(value = "VideoLessonGroupDetailUpVo视频课")
public class VideoLessonGroupDetailUpVo extends BaseEntity {

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    @NotNull(message = "视频课id不能为空")
	private Long id;

    @TableField("video_lesson_group_id_")
    @ApiModelProperty(value = "课程组ID")
    private Long videoLessonGroupId;

    @TableField("video_title_")
    @ApiModelProperty(value = "视频标题")
    private String videoTitle;

    @TableField("video_content_")
    @ApiModelProperty(value = "视频内容")
    private String videoContent;

    @TableField("video_url_")
    @ApiModelProperty(value = "视频文件URL")
    private String videoUrl;

    @TableField("cover_url_")
    @ApiModelProperty(value = "视频封面图片URL")
    private String coverUrl;

    @TableField("update_by_")
    @ApiModelProperty(value = "更新人")
    private Long updateBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVideoLessonGroupId() {
        return videoLessonGroupId;
    }

    public void setVideoLessonGroupId(Long videoLessonGroupId) {
        this.videoLessonGroupId = videoLessonGroupId;
    }

    public String getVideoTitle() {
        return videoTitle;
    }

    public void setVideoTitle(String videoTitle) {
        this.videoTitle = videoTitle;
    }

    public String getVideoContent() {
        return videoContent;
    }

    public void setVideoContent(String videoContent) {
        this.videoContent = videoContent;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public String getCoverUrl() {
        return coverUrl;
    }

    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
    }

    public Long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Long updateBy) {
        this.updateBy = updateBy;
    }
}